Skip to main content
`Ctrl`+`K`

# TSAdjointSetForward

Trigger the tangent linear solver and initialize the forward sensitivities

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointSetForward(TS ts, Mat didp)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- didp - the derivative of initial values w.r.t. parameters

## Notes

When computing sensitivities w.r.t. initial condition, set didp to `NULL` so that the solver will take it as an identity matrix mathematically. `TSAdjoint` does not reset the tangent linear solver automatically, `TSAdjointResetForward()` should be called to reset the tangent linear solver.

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSolve()`, `TSSetCostHessianProducts()`, `TSAdjointResetForward()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

## Examples

src/ts/tutorials/ex20opt_ic.c
src/ts/tutorials/ex20opt_p.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages